com.holonplatform.reactor.datastore.operation

## Interface ReactiveQuery

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.DataTarget.DataTargetSupport<ReactiveQuery>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveQuery>, com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport<ReactiveQuery>, com.holonplatform.core.query.QueryBuilder<ReactiveQuery>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<ReactiveQuery>, com.holonplatform.core.query.QueryProjectionOperations<reactor.core.publisher.Flux,reactor.core.publisher.Mono,reactor.core.publisher.Mono,reactor.core.publisher.Mono<Long>>, com.holonplatform.core.query.QuerySort.QuerySortSupport<ReactiveQuery>, ReactiveQueryResults, Serializable

      public interface ReactiveQuery
      extends com.holonplatform.core.query.QueryBuilder<ReactiveQuery>, ReactiveQueryResults, com.holonplatform.core.datastore.DatastoreCommodity

  Represents a reactive query, used by the `ReactiveDatastore` API to configure and execute a query and handle the query results through the `Flux` and `Mono` abstractions.

  The query is configured through the `QueryBuilder` API and executed using the `ReactiveQueryResults` API, which provides methods to execute the query and obtain the results, using a `QueryProjection` to specify the expected result type.

  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.query.QueryBuilder

      `distinct, getQueryConfiguration, limit, offset, parameter, parameter, restrict`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort.QuerySortSupport

      `sort, sort, sort`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget.DataTargetSupport

      `target, target`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport

      `aggregate, aggregate, aggregate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.reactor.datastore.operation.ReactiveQueryResults

      `count, countAll, findOne, findOne, findOne, list, list, list, stream, stream, stream`

Copyright © 2019 The Holon Platform. All rights reserved.